#include <stdio.h>

int main()
{
	char junk[ 5000 ];
	float x, y, z, xmin, xmax, ymin, ymax, zmin, zmax;

	xmax = -10000;
	xmin =  10000;
	ymax = -10000;
	ymin =  10000;
	zmax = -10000;
	zmin =  10000;
	while(scanf("%s %s %s %s %s %s %f %f %f %s %s",
		junk, junk, junk, junk, junk, junk, &x, &y, &z, junk, junk) == 11)
	{
		if( x > xmax ) { xmax = x; }
		if( x < xmin ) { xmin = x; }
		if( y > ymax ) { ymax = y; }
		if( y < ymin ) { ymin = y; }
		if( z > zmax ) { zmax = z; }
		if( z < zmin ) { zmin = z; }
	}
	printf("Dimensions are %5.2fÅ x %5.2fÅ x %5.2fÅ\n", xmax-xmin, ymax-ymin, zmax-zmin);
}

